---
title:     Image Analysis Training Material
layout:    page
permalink: /
---

This is a resource for image analysis training material, with a focus on research in the life sciences.

Currently, this resource is mainly meant to serve image analysis trainers, helping them to design courses.
However, we might add more text (or videos) to the material such that it could also be used by students for self-directed study.

The material is divided into small modules, where the teaching of each module should take about 10-20 minutes. Each module covers a specific aspect of image analysis. At the beginning of each module there is a list of modules containing prerequiste topics. At the end of each module there are suggestions of what could be taught next. This provides trainers guidance on how to combine modules into a longer workshop.

The modules are designed based on current research in the psychology of learning. For example, concept maps with a limited number of items ensure that the new information in each module is well defined, well structured and limited, respecting the maximal cognitive load that students can bear with.

The modules are meant to be taught hands-on, i.e. following the teacher's guidance, students execute the relevant steps in an image analysis software on their computers. The modules provide those steps for several major image analysis platforms, such as ImageJ (either GUI or Macro scripting), ImageJ Jython scripting, imglib2 java programming, MATLAB, and Python (please note that currently this is more of a wish list rather than reality, and help is very much appreciated).

Happy teaching and learning!

#### How to contribute to this resource

Please see our [Contributors Guide](contributing).

#### How to teach using this resource

Please see the [Instructor Notes](guide).

{% include links.md %}
